<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_round_white">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:id="@+id/mTitle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_24"
            android:layout_marginBottom="@dimen/dp_22"
            android:gravity="center_horizontal"
            android:text="添加数值"
            android:textColor="@color/col_455"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            tools:ignore="ObsoleteLayoutParam" />

        <TextView
            android:id="@+id/mcontent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_30"
            android:layout_marginBottom="@dimen/dp_12"
            android:text="血糖数值"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold" />

        <EditText
            android:id="@+id/etRemark"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_36"
            android:layout_marginLeft="@dimen/dp_21"
            android:layout_marginRight="@dimen/dp_21"
            android:layout_marginBottom="@dimen/dp_14"
            android:background="@drawable/shape_sos_remark_bg"
            android:gravity="left|center_vertical"
            android:hint="请输入血糖值"
            android:inputType="numberDecimal"
            android:maxEms="5"
            android:paddingLeft="@dimen/dp_24"
            android:textColor="@color/col_313"
            android:textColorHint="@color/col_7c7"
            android:textSize="@dimen/sp_13"
            tools:ignore="RtlHardcoded" />

        <TextView
            android:id="@+id/hddp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_30"
            android:layout_marginBottom="@dimen/dp_12"
            android:text="收缩压"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold"
            android:visibility="gone"
            tools:visibility="visible" />

        <LinearLayout
            android:id="@+id/ethddpLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_36"
            android:layout_marginLeft="@dimen/dp_21"
            android:layout_marginBottom="@dimen/dp_14"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/ethddp"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/shape_sos_remark_bg"
                android:gravity="left|center_vertical"
                android:hint="请输入收缩压"
                android:inputType="numberDecimal"
                android:maxEms="5"
                android:paddingLeft="@dimen/dp_24"
                android:textColor="@color/col_313"
                android:textColorHint="@color/col_7c7"
                android:textSize="@dimen/sp_13"
                android:visibility="gone"
                tools:ignore="RtlHardcoded"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/ethddpUnit"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/dp_6"
                android:gravity="center"
                android:text="kg"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15"
                android:visibility="gone" />

            <View
                android:layout_width="@dimen/dp_21"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <TextView
            android:id="@+id/tvLow"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_30"
            android:layout_marginBottom="@dimen/dp_12"
            android:text="舒张压"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold"
            android:visibility="gone"
            tools:visibility="visible" />

        <LinearLayout
            android:id="@+id/etLowLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_36"
            android:layout_marginStart="@dimen/dp_21"
            android:layout_marginBottom="@dimen/dp_14"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/etLow"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/shape_sos_remark_bg"
                android:gravity="left|center_vertical"
                android:hint="请输入舒张压"
                android:inputType="numberDecimal"
                android:maxEms="5"
                android:paddingLeft="@dimen/dp_24"
                android:textColor="@color/col_313"
                android:textColorHint="@color/col_7c7"
                android:textSize="@dimen/sp_13"
                android:visibility="gone"
                tools:ignore="RtlHardcoded"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/etLowUnit"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/dp_6"
                android:gravity="center"
                android:text="cm"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15"
                android:visibility="gone" />

            <View
                android:layout_width="@dimen/dp_21"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <TextView
            android:id="@+id/tvTc"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_30"
            android:layout_marginBottom="@dimen/dp_12"
            android:text="低密度脂蛋白"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold"
            android:visibility="gone"
            tools:visibility="visible" />

        <EditText
            android:id="@+id/etTc"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_36"
            android:layout_marginLeft="@dimen/dp_21"
            android:layout_marginRight="@dimen/dp_21"
            android:layout_marginBottom="@dimen/dp_14"
            android:background="@drawable/shape_sos_remark_bg"
            android:gravity="left|center_vertical"
            android:hint="请输入低密度脂蛋白"
            android:inputType="numberDecimal"
            android:maxEms="5"
            android:paddingLeft="@dimen/dp_24"
            android:textColor="@color/col_313"
            android:textColorHint="@color/col_7c7"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            tools:ignore="RtlHardcoded"
            tools:visibility="visible" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_30"
            android:layout_marginBottom="@dimen/dp_12"
            android:text="测量时间"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold" />

        <LinearLayout
            android:id="@+id/llSelectItem"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_36"
            android:layout_marginLeft="@dimen/dp_21"
            android:layout_marginRight="@dimen/dp_21"
            android:layout_marginBottom="@dimen/dp_19"
            android:background="@drawable/shape_sos_remark_bg"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tvTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_24"
                android:text="请选择测量时间"
                android:textColor="@color/col_c7c"
                android:textSize="@dimen/sp_13" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/dp_18"
                android:background="@mipmap/rili" />

        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_21"
            android:layout_marginRight="@dimen/dp_21"
            android:layout_marginBottom="@dimen/dp_30">

            <TextView
                android:id="@+id/mTvCancel"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginRight="@dimen/dp_11"
                android:background="@drawable/shape_ten_click"
                android:gravity="center"
                android:paddingTop="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_10"
                android:text="取消"
                android:textColor="@color/col_8D0"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@+id/mTvConfirm"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/mTvConfirm"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="@dimen/dp_10"
                android:background="@drawable/shape_ten_un_click"
                android:gravity="center"
                android:paddingTop="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_10"
                android:text="确定"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toRightOf="@+id/mTvCancel"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>

</androidx.core.widget.NestedScrollView>